<?php
if ( isset($_FILES['blob']['name'])) 
{
	
	$filename	= $_FILES['blob']['name'];

	
		// copia il file nella cartella /modules/importa_an/upload
		move_uploaded_file($_FILES["blob"]["tmp_name"], $docroot."/modules/importa_an/upload/".$filename);
		array_push( $_SESSION['infos'], "Informazioni salvate correttamente!");
		
		$tmpName = $docroot."/modules/importa_an/upload/".$filename;
		
		// elabora ed importa il file csv
		if(($handle = fopen($tmpName, 'r')) !== FALSE) {			
			
			
            // necessary if a large csv file
            set_time_limit(0);

            $row = 0;
		
            while(($data = fgetcsv($handle, 1000, ';')) !== FALSE) {
				
				// number of fields in the csv
                $col_count = count($data);
				
		
			
				$query="INSERT INTO `an_anagrafiche` (`codice`, `ragione_sociale`, `tipo`, `piva`, `codice_fiscale`, `capitale_sociale`, `data_nascita`, `luogo_nascita`, `sesso`, `indirizzo`, `indirizzo2`, `citta`, `cap`, `provincia`, `km`, `id_nazione`, `telefono`, `fax`, `cellulare`, `email`, `sitoweb`, `note`, `codiceri`, `codicerea`, `appoggiobancario`, `filiale`, `codiceiban`, `bic`, `diciturafissafattura`, `idpagamento`, `idlistino`, `idiva`, `idsede_fatturazione`, `idconto_cliente`, `idconto_fornitore`, `settore`, `marche`, `dipendenti`, `macchine`, `idagente`, `idrelazione`, `agentemaster`, `idzona`, `foro_competenza`, `nome_cognome`, `iscrizione_tribunale`, `cciaa`, `cciaa_citta`, `n_alboartigiani`, `colore`, `deleted`, `idtipointervento_default`, `updated_at`, `created_at`, `updated_by`, `created_by`, `componente_filename`, `contenuto`, `cod_sogei`, `cod_sogei_pec`) VALUES (";



				$tipo_ana=$data[0];
				for ($i=1;$i<$col_count;$i++)
				{
					$query .= "'".mysql_escape_string($data[$i])."'";
					if ($i < $col_count - 1) 
						$query .= ","; 
					
				}
				
                $query .= ")";
				$rs = $dbo->query( $query );
				
			
				//Associo tipo anagrafica Cliente
				$idanagrafica = $dbo->last_inserted_id();
				
				// ricerco id tipo anagarfica
				$rs_t = $dbo->fetchArray("SELECT idtipoanagrafica FROM an_tipianagrafiche WHERE descrizione=\"".$tipo_ana."\"");
				$id_tipoana = $rs_t[0]['idtipoanagrafica'];
				
				$query_tipo = "INSERT INTO an_tipianagrafiche_anagrafiche(idanagrafica, idtipoanagrafica) VALUES (\"".$idanagrafica."\", \"".$id_tipoana."\")";
				$dbo->query($query_tipo);	
				
				
				
                 $row++;
            }
            fclose($handle);
        }
		
		array_push( $_SESSION['infos'], "Inserimento effettuato corretamente." );
			
		
		
		
		
		
		
		
/*		
	}
*/
	
} else {
	 
	array_push( $_SESSION['errors'], "Nessun file selezionato !" );

}
/*	 
}
*/	
?>

